#ifndef VERSION
#define VERSION "0.03"
#endif

#include <m_pd.h>


typedef struct _sigpack
{
     t_object x_obj;
} t_sigpack;

static t_class* sigpack_class;

void sp_chop_tilde_setup();
void sp_decimate_tilde_setup();
void sp_diode_tilde_setup();
void sp_foldback_tilde_setup();
void sp_foldover_tilde_setup();
void sp_freqdiv_tilde_setup();
void sp_freqshift_tilde_setup();
void sp_harmgen_tilde_setup();
void sp_rectify_tilde_setup();
void sp_round_tilde_setup();
void sp_saturate_tilde_setup();
void sp_sieve_tilde_setup();
void sp_split_tilde_setup();
void sp_ustep_tilde_setup();
void sp_vowel_tilde_setup();

static void* sigpack_new(t_symbol* s) {
    t_sigpack *x = (t_sigpack *)pd_new(sigpack_class);
    return (x);
}

void sp_sigpack_setup(void) 
{
    sigpack_class = class_new(gensym("sIgpAck"), (t_newmethod)sigpack_new, 0,
    	sizeof(t_sigpack), 0,0);

	 sp_chop_tilde_setup();
	 sp_decimate_tilde_setup();
	 sp_diode_tilde_setup();
	 sp_foldback_tilde_setup();
	 sp_foldover_tilde_setup();
	 sp_freqdiv_tilde_setup();
	 sp_freqshift_tilde_setup();
	 sp_harmgen_tilde_setup();
	 sp_rectify_tilde_setup();
	 sp_round_tilde_setup();
	 sp_saturate_tilde_setup();
	 sp_sieve_tilde_setup();
	 sp_split_tilde_setup();
	 sp_ustep_tilde_setup();
	 sp_vowel_tilde_setup();
     
     post("sIgpAck"" "VERSION " weiss www.weiss-archiv.de");
}
